# Configuration file

biome {
    B:biome_meneglin=true

    # The weight of spawning.
    I:biome_meneglin.spawnWeight=5
}


block {
    B:coal_generator=true
    B:creative_energy_battery=true
    B:crystalized_chorus_block=true
    B:crystalized_chorus_block_stairs=true
    B:crystalized_chorus_brick=true
    B:crystalized_chorus_brick_stairs=true
    B:crystalized_menril_block=true
    B:crystalized_menril_block_stairs=true
    B:crystalized_menril_brick=true
    B:crystalized_menril_brick_stairs=true
    B:delay=true
    B:drying_basin=true
    B:energy_battery=true
    B:invisible_light=true
    B:logic_programmer=true
    B:materializer=true
    B:mechanical_drying_basin=true
    B:mechanical_squeezer=true
    B:menril_door=true
    B:menril_leaves=true

    # A 1/x chance menril berries will be dropped when breaking a leaves block.
    I:menril_leaves.berriesDropChance=4
    B:menril_log=true
    B:menril_log_filled=true
    B:menril_planks=true
    B:menril_planks_stairs=true
    B:menril_sapling=true
    B:menril_torch=true
    B:menril_torch_stone=true
    B:proxy=true
    B:squeezer=true
    B:variablestore=true
}


core {
    # If an anonymous mod startup analytics request may be sent to our analytics service.
    B:general.analytics=false

    # If cable models should be cached for rendering optimization.
    B:general.cacheCableModels=true

    # The maximum network energy transfer rate.
    I:general.energyRateLimit=2147483647

    # If the ingredient network observer can work on separate thread.
    B:general.ingredientNetworkObserverEnableMultithreading=true

    # The ingredient network observation frequency slowdown rate in ticks.
    I:general.ingredientNetworkObserverFrequencyDecreaseFactor=5

    # The frequency in ticks at which ingredient network should be observed after a position's contents are changed.
    I:general.ingredientNetworkObserverFrequencyForced=1

    # The ingredient network observation frequency slowdown rate in ticks.
    I:general.ingredientNetworkObserverFrequencyIncreaseFactor=1

    # The slowest possible frequency in ticks at which ingredient network should be observed.
    I:general.ingredientNetworkObserverFrequencyMax=40

    # The fastest possible frequency in ticks at which ingredient network should be observed.
    I:general.ingredientNetworkObserverFrequencyMin=5

    # The number of threads that the ingredient network observer can use.
    I:general.ingredientNetworkObserverThreads=4

    # If network change events should be logged. Only enable this when debugging.
    B:general.logChangeEvents=false

    # The maximum allowed size of values in bytes to avoid network packet issues.
    I:general.maxValueByteSize=20000

    # How deep the recursion stack on an operator can become. This is to avoid game crashes when building things like the omega operator.
    I:general.operatorRecursionLimit=256

    # When enabled, networks will stop ticking and values will not be shown and evaluated again. This can be used to fix crashing networks by temporarily enabling this option.
    B:general.safeMode=false

    # Config version for Integrated Dynamics.
    # DO NOT EDIT MANUALLY!
    S:general.version=0.11.13

    # If the version checker should be enabled.
    B:general.versionChecker=false
}


general {
    # The energy usage multiplier for networks.
    I:general.energyConsumptionMultiplier=0

    # The maximum render distance for part overlays to render. The higher, the more resource intensive.
    I:general.partOverlayRenderdistance=15
}


item {
    B:crystalized_chorus_chunk=true
    B:crystalized_menril_chunk=true
    B:facade=true
    B:labeller=true
    B:logic_director=true
    B:menril_berries=true

    # If the berries should give the night vision effect when eaten.
    B:menril_berries.nightVision=true
    B:on_the_dynamics_of_integration=true

    # If the info book can give item rewards for tutorial completion.
    B:on_the_dynamics_of_integration.bookRewards=true

    # If the info book should automatically obtained when the player first spawns.
    B:on_the_dynamics_of_integration.obtainOnSpawn=false
    B:portable_logic_programmer=true
    B:variable_transformer=true
    B:wrench=true
}


machine {
    # The maximum value history length that can be maintained..
    I:delay.maxHistoryCapacity=1024

    # The default capacity of an energy battery.
    I:energy_battery.capacity=1000000

    # The 1/X fraction of the battery capacity that is allowed to be transfered per tick.
    I:energy_battery.energyRateCapacityFraction=2000

    # The maximum capacity possible by combining batteries. (Make sure that you do not cross the max int size.)
    I:energy_battery.maxCapacity=655360000

    # The maximum capacity visible in the creative tabs. (Make sure that you do not cross the max int size.)
    I:energy_battery.maxCreativeCapacity=40960000

    # The minimum energy transfer rate per tick.
    I:energy_battery.minEnergyRate=2000

    # The default update frequency in ticks to use for new parts.
    I:general.defaultPartUpdateFreq=1

    # The maximum offset in blocks a directional connector can look for its target.
    I:general.maxDirectionalConnectorOffset=512

    # The NBT tags that are not allowed to be read by displaying NBT tags or performing operations on them.
    S:general.nbtTagBlacklist <
     >

    # The energy capacity of a mechanical drying basin.
    I:mechanical_drying_basin.capacity=100000

    # The energy consumption rate.
    I:mechanical_drying_basin.consumptionRate=80

    # How many mB per tick can be auto-ejected.
    I:mechanical_squeezer.autoEjectFluidRate=500

    # The energy capacity of a mechanical squeezer.
    I:mechanical_squeezer.capacity=100000

    # The energy consumption rate.
    I:mechanical_squeezer.consumptionRate=80
}


worldgeneration {
    # List of dimension IDs in which the meneglin biome should not generate.
    I:biome_meneglin.meneglinBiomeDimensionBlacklist <
        -1
        1
     >

    # The chance at which a Menril Tree will spawn in the wild, the higher this value, the lower the chance.
    I:general.wildMenrilTreeChance=350

    # List of dimension IDs in which wild menril trees should not generate.
    I:general.wildMenrilTreeDimensionBlacklist <
        -1
        1
     >

    # The 1/x chance at which Menril Wood will be filled with Menril Resin when generated, the higher this value, the lower the chance.
    I:menril_log_filled.filledMenrilLogChance=10
}


